// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: breakermodule/breakermodule.proto

package openfmb.breakermodule;

public interface BreakerDiscreteControlXCBROrBuilder extends
    // @@protoc_insertion_point(interface_extends:breakermodule.BreakerDiscreteControlXCBR)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.DiscreteControlXCBR discreteControlXCBR = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the discreteControlXCBR field is set.
   */
  boolean hasDiscreteControlXCBR();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.DiscreteControlXCBR discreteControlXCBR = 1 [(.uml.option_parent_message) = true];</code>
   * @return The discreteControlXCBR.
   */
  openfmb.commonmodule.DiscreteControlXCBR getDiscreteControlXCBR();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.DiscreteControlXCBR discreteControlXCBR = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.DiscreteControlXCBROrBuilder getDiscreteControlXCBROrBuilder();
}
